SELECT
    sd.fullpath,
    Len(sd.fullpath) AS fullpath_length,
    sd.name,
    Len(sd.name) AS filename_length,
    sd.size,
    srs.byte_string(CAST(sd.size AS BIGINT)) AS size_string,
    sd.scan_target
FROM
    srs.current_fs_scandata AS sd
WHERE
    (Len(sd.name) > 128) AND
    (sd.path_type = 1)
ORDER BY
    filename_length DESC